summaryrefslogtreecommitdiffstats
path: root/jjb/hc2vpp/include-raw-hc2vpp-csit-integration-odl.sh
diff options
context:
space:
mode:
authorMichal Cmarada <mcmarada@cisco.com>2019-02-21 13:29:02 +0100
committerMichal Cmarada <mcmarada@cisco.com>2019-03-01 13:34:34 +0100
commitd413dc3675832f38cf3a3dfc8dae816da16472f1 (patch)
treea36d0d5408c2fc4c563719251591246697528160 /jjb/hc2vpp/include-raw-hc2vpp-csit-integration-odl.sh
parentbd99f3b0e54c18d8b2b0e2501a0d7b5a170cec67 (diff)
HC2VPP-372: Update hc2vpp integration and hc2vpp/csit jobs
- add support for ubuntu bionic - update jobs to support package cloud download script (csit patch: https://gerrit.fd.io/r/#/c/17779/) - cleanup Change-Id: I60d8af98c98612ff82ca782274d317a1726cfc7e Signed-off-by: Michal Cmarada <mcmarada@cisco.com>
Diffstat (limited to 'jjb/hc2vpp/include-raw-hc2vpp-csit-integration-odl.sh')
-rw-r--r--jjb/hc2vpp/include-raw-hc2vpp-csit-integration-odl.sh14
1 files changed, 5 insertions, 9 deletions
diff --git a/jjb/hc2vpp/include-raw-hc2vpp-csit-integration-odl.sh b/jjb/hc2vpp/include-raw-hc2vpp-csit-integration-odl.sh
index 5cd8b3e94..d21d19343 100644
--- a/jjb/hc2vpp/include-raw-hc2vpp-csit-integration-odl.sh
+++ b/jjb/hc2vpp/include-raw-hc2vpp-csit-integration-odl.sh
@@ -2,7 +2,7 @@
set -xeu -o pipefail
# Get CSIT branch
-if [ -f csit-test-branch ]; then
+if [[ -f csit-test-branch ]]; then
chmod +x csit-test-branch
CSIT_BRANCH=`./csit-test-branch`
else
@@ -13,14 +13,14 @@ fi
git clone https://gerrit.fd.io/r/csit --branch ${CSIT_BRANCH}
# If the git clone fails, complain clearly and exit
-if [ $? != 0 ]; then
+if [[ $? != 0 ]]; then
echo "Failed to run: git clone https://gerrit.fd.io/r/csit --branch ${CSIT_BRANCH}"
- exit
+ exit 1
fi
cd csit
# execute csit bootstrap script if it exists
-if [ ! -e bootstrap-hc2vpp-integration-odl.sh ]
+if [[ ! -e bootstrap-hc2vpp-integration-odl.sh ]]
then
echo 'ERROR: No bootstrap-hc2vpp-integration.sh found'
exit 1
@@ -28,11 +28,7 @@ else
# make sure that bootstrap.sh is executable
chmod +x bootstrap-hc2vpp-integration-odl.sh
# run the script
- if [ ${STREAM} == 'master' ]; then
- ./bootstrap-hc2vpp-integration-odl.sh ${STREAM} ${OS} ${ODL}
- else
- ./bootstrap-hc2vpp-integration-odl.sh 'stable.'${STREAM} ${OS} ${ODL}
- fi
+ ./bootstrap-hc2vpp-integration-odl.sh ${STREAM} ${OS} ${ODL}
fi
# vim: ts=4 ts=4 sts=4 et :